Examples

POST /api/models
{
  "model": {
    "name": "IBM 123",
    "hardware_model": "IBMabcde",
    "vendor_class": "ABCDE",
    "info": "description text"
  }
}
201
{
  "info": "description text",
  "created_at": "2026-05-13 11:15:39 UTC",
  "updated_at": "2026-05-13 11:15:39 UTC",
  "vendor_class": "ABCDE",
  "hardware_model": "IBMabcde",
  "id": 980190963,
  "name": "IBM 123",
  "hosts_count": 0
}

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

model
required

Validations:

  • Must be a Hash

model[name]
required

Validations:

  • Must be a String

model[info]
optional , nil allowed

Validations:

  • Must be a String

model[vendor_class]
optional , nil allowed

Validations:

  • Must be a String

model[hardware_model]
optional , nil allowed

Validations:

  • Must be a String